﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="ChatTest.Pages.PrivateChatPage"
             xmlns:local="clr-namespace:ChatTest.Controls">
      <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="80"/>
            <RowDefinition />
            <RowDefinition Height="60"/>
        </Grid.RowDefinitions>

        <Grid>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="80"/>
                <ColumnDefinition />
            </Grid.ColumnDefinitions>
            
            <Grid  Grid.Column="1" Padding="18,12,18,0">
                <Label x:Name="chatNameLabel" FontSize="22"  Text="{Binding DialogName}"/>
            </Grid>

        </Grid>
    <Grid Grid.Row="1" Padding="0,6">
            <ListView x:Name="listView" HasUnevenRows="true" ItemsSource="{Binding Messages}" VerticalOptions="Start">
                <ListView.ItemTemplate>
                    <DataTemplate>
                        <local:MessageCell>
                            <Grid Padding="20,0,20,0">
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="Auto" />
                                    <RowDefinition Height="*" />
                                </Grid.RowDefinitions>
                                <Label Text="{Binding RecepientFullName}" FontSize="Small" TextColor="#01B6FF" LineBreakMode="WordWrap" />
                                <local:WrapLabel Text="{Binding Text}" FontSize="Small" Grid.Row="1" />
                            </Grid>
                        </local:MessageCell>
                    </DataTemplate>
                </ListView.ItemTemplate>
            </ListView>

            <ActivityIndicator IsRunning="true" x:Name="busyIndicator" VerticalOptions="Center" HorizontalOptions="Center" IsVisible="{Binding IsBusyIndicatorVisible}" />
        </Grid>

        <Grid Grid.Row="2" Padding="12,6">
            <Grid.ColumnDefinitions>
                <ColumnDefinition />
                <ColumnDefinition Width="80"/>
            </Grid.ColumnDefinitions>
            <Entry x:Name="messageEntry" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" Text="{Binding MessageText, Mode=TwoWay}"/>
            <Button x:Name="sendButton" Grid.Column="1" Text="Send"  Command="{Binding SendMessageCommand}" />
        </Grid>
    </Grid> 
</ContentPage>